#if !defined(AFX_SETUPGROUPSPAGE_H__85590E8D_DA0F_40BC_BF5B_EA9E7AB024C9__INCLUDED_)
#define AFX_SETUPGROUPSPAGE_H__85590E8D_DA0F_40BC_BF5B_EA9E7AB024C9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupgroupsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetupgroupsPage dialog
#include "resource.h"
#include "ReportDict.h"
#include <AplGuiEx.h>

class CSetupgroupsPage : public CaplTranslateDialog
{
// Construction
public:
	bool GetGroups(CArray<CTMGroupCol*, CTMGroupCol*> *pGrArr);
	void ResetData();
	CHeader* m_pHeader;
	
	bool UpdateLists();
	CSetupgroupsPage(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupgroupsPage)
	enum { IDD = IDD_SETUP_GROUPS_PAGE };
	CaplButton	m_up_btn;
	CaplButton	m_down_btn;
	CaplButton	m_del_btn;
	CaplButton	m_add_btn;
	CListBox	m_GroupColumns_ListCtrl;
	CListBox	m_PossibleColumns_ListCtrl;
	int		m_GroupType;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetupgroupsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetupgroupsPage)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnAdd();
	afx_msg void OnDel();
	afx_msg void OnUp();
	afx_msg void OnDn();
	afx_msg void OnSelchangeGroupColumnsList();
	afx_msg void OnTitleGroup();
	afx_msg void OnRowGroup();
	afx_msg void OnDblclkPossibleColumnstList();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPGROUPSPAGE_H__85590E8D_DA0F_40BC_BF5B_EA9E7AB024C9__INCLUDED_)
